diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js
index 5c168cd7..c1c24861 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js
@@ -1,67 +1,67 @@
 define('pgadmin.node.type', [
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
-  'underscore.string', 'sources/pgadmin', 'pgadmin.browser', 'alertify', 'backgrid',
-  'pgadmin.backgrid', 'pgadmin.browser.collection'
-], function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, alertify, Backgrid) {
+  'sources/pgadmin', 'pgadmin.browser', 'pgadmin.backform',
+  'pgadmin.backgrid', 'pgadmin.browser.collection',
+], function(gettext, url_for, $, _, pgAdmin, pgBrowser, Backform, Backgrid) {
 
   if (!pgBrowser.Nodes['coll-type']) {
-    var databases = pgBrowser.Nodes['coll-type'] =
+    pgBrowser.Nodes['coll-type'] =
       pgBrowser.Collection.extend({
         node: 'type',
         label: gettext('Types'),
         type: 'coll-type',
-        columns: ['name', 'typeowner', 'description']
+        columns: ['name', 'typeowner', 'description'],
       });
-  };
+  }
 
   // Integer Cell for Columns Length and Precision
   var IntegerDepCell = Backgrid.IntegerCell.extend({
-      initialize: function() {
-        Backgrid.NumberCell.prototype.initialize.apply(this, arguments);
-        Backgrid.Extension.DependentCell.prototype.initialize.apply(this, arguments);
-      },
-      dependentChanged: function () {
-        this.$el.empty();
-        var model = this.model;
-        var column = this.column;
-        var editable = this.column.get("editable");
-
-        var is_editable = _.isFunction(editable) ? !!editable.apply(column, [model]) : !!editable;
-        if (is_editable){ this.$el.addClass("editable"); }
-        else { this.$el.removeClass("editable"); }
-
-        this.delegateEvents();
-        return this;
-      },
-      remove: Backgrid.Extension.DependentCell.prototype.remove
-    });
+    initialize: function() {
+      Backgrid.NumberCell.prototype.initialize.apply(this, arguments);
+      Backgrid.Extension.DependentCell.prototype.initialize.apply(this, arguments);
+    },
+    dependentChanged: function () {
+      this.$el.empty();
+      var model = this.model;
+      var column = this.column;
+      var editable = this.column.get('editable');
+
+      var is_editable = _.isFunction(editable) ? !!editable.apply(column, [model]) : !!editable;
+      if (is_editable){ this.$el.addClass('editable'); }
+      else { this.$el.removeClass('editable'); }
+
+      this.delegateEvents();
+      return this;
+    },
+    remove: Backgrid.Extension.DependentCell.prototype.remove,
+  });
 
   // Node-Ajax-Cell with Deps
   var NodeAjaxOptionsDepsCell = Backgrid.Extension.NodeAjaxOptionsCell.extend({
-      initialize: function() {
-        Backgrid.Extension.NodeAjaxOptionsCell.prototype.initialize.apply(this, arguments);
-        Backgrid.Extension.DependentCell.prototype.initialize.apply(this, arguments);
-      },
-      dependentChanged: function () {
-        var model = this.model,
-          column = this.column,
-          editable = this.column.get("editable"),
-          input = this.$el.find('select').first();
-
-        var is_editable = _.isFunction(editable) ? !!editable.apply(column, [model]) : !!editable;
-        if (is_editable) {
-           this.$el.addClass("editable");
-           input.prop('disabled', false);
-         } else {
-           this.$el.removeClass("editable");
-           input.prop('disabled', true);
-         }
-
-        this.delegateEvents();
-        return this;
-      },
-      remove: Backgrid.Extension.DependentCell.prototype.remove
-    });
+    initialize: function() {
+      Backgrid.Extension.NodeAjaxOptionsCell.prototype.initialize.apply(this, arguments);
+      Backgrid.Extension.DependentCell.prototype.initialize.apply(this, arguments);
+    },
+    dependentChanged: function () {
+      var model = this.model,
+        column = this.column,
+        editable = this.column.get('editable'),
+        input = this.$el.find('select').first();
+
+      var is_editable = _.isFunction(editable) ? !!editable.apply(column, [model]) : !!editable;
+      if (is_editable) {
+        this.$el.addClass('editable');
+        input.prop('disabled', false);
+      } else {
+        this.$el.removeClass('editable');
+        input.prop('disabled', true);
+      }
+
+      this.delegateEvents();
+      return this;
+    },
+    remove: Backgrid.Extension.DependentCell.prototype.remove,
+  });
 
   // Composite type model declaration
   var CompositeModel = Backform.CompositeModel = pgBrowser.Node.Model.extend({
@@ -82,7 +82,7 @@ define('pgadmin.node.type', [
     subtypes: undefined,
     schema: [{
       id: 'member_name', label: gettext('Member Name'),
-      type: 'text',  disabled: false, editable: true
+      type: 'text',  disabled: false, editable: true,
     },{
       id: 'type', label: gettext('Type'), control: 'node-ajax-options',
       type: 'text', url: 'get_types', disabled: false, node: 'type',
@@ -91,7 +91,7 @@ define('pgadmin.node.type', [
       transform: function(d, control){
         control.model.type_options =  d;
         return d;
-      }
+      },
     },{
       // Note: There are ambiguities in the PG catalogs and docs between
       // precision and scale. In the UI, we try to follow the docs as
@@ -106,22 +106,22 @@ define('pgadmin.node.type', [
           _.each(m.type_options, function(o) {
             // if type from selected from combobox matches in options
             if ( of_type == o.value ) {
-                // if length is allowed for selected type
-                if(o.length)
-                {
-                  // set the values in model
-                  m.set('is_tlength', true, {silent: true});
-                  m.set('min_val', o.min_val, {silent: true});
-                  m.set('max_val', o.max_val, {silent: true});
-                } else {
-                  // set the values in model
-                  m.set('is_tlength', false, {silent: true});
-                }
+              // if length is allowed for selected type
+              if(o.length)
+              {
+                // set the values in model
+                m.set('is_tlength', true, {silent: true});
+                m.set('min_val', o.min_val, {silent: true});
+                m.set('max_val', o.max_val, {silent: true});
+              } else {
+                // set the values in model
+                m.set('is_tlength', false, {silent: true});
+              }
             }
           });
         }
         return m.get('is_tlength');
-      }
+      },
     },{
       // Note: There are ambiguities in the PG catalogs and docs between
       // precision and scale. In the UI, we try to follow the docs as
@@ -136,69 +136,68 @@ define('pgadmin.node.type', [
           _.each(m.type_options, function(o) {
             // if type from selected from combobox matches in options
             if ( of_type == o.value ) {
-                // if precession is allowed for selected type
-                if(o.precision)
-                {
-                  // set the values in model
-                  m.set('is_precision', true, {silent: true});
-                  m.set('min_val', o.min_val, {silent: true});
-                  m.set('max_val', o.max_val, {silent: true});
-                } else {
-                  // set the values in model
-                  m.set('is_precision', false, {silent: true});
-                }
+              // if precession is allowed for selected type
+              if(o.precision)
+              {
+                // set the values in model
+                m.set('is_precision', true, {silent: true});
+                m.set('min_val', o.min_val, {silent: true});
+                m.set('max_val', o.max_val, {silent: true});
+              } else {
+                // set the values in model
+                m.set('is_precision', false, {silent: true});
+              }
             }
           });
         }
         return m.get('is_precision');
-      }
+      },
     },{
       id: 'collation', label: gettext('Collation'),
       cell: NodeAjaxOptionsDepsCell, deps: ['type'],
       select2: {allowClear: false},
       control: 'node-ajax-options', editable: function(m) {
-         var of_type = m.get('type'),
-           flag = false;
-         if(m.type_options) {
+        var of_type = m.get('type'),
+          flag = false;
+        if(m.type_options) {
           _.each(m.type_options, function(o) {
             if ( of_type == o.value ) {
-                if(o.is_collatable)
-                {
-                  flag = true;
-                }
+              if(o.is_collatable)
+              {
+                flag = true;
+              }
             }
           });
-         }
-
-         if (flag) {
-           setTimeout(function(){
-             m.set('collspcname', "", {silent: true});
-           }, 10);
-         }
-         return flag;
+        }
+
+        if (flag) {
+          setTimeout(function(){
+            m.set('collspcname', '', {silent: true});
+          }, 10);
+        }
+        return flag;
       },
-      type: 'text', disabled: false, url: 'get_collations', node: 'type'
+      type: 'text', disabled: false, url: 'get_collations', node: 'type',
     }],
     validate: function() {
-      var err = {},
-          errmsg = null,
-          changedAttrs = this.sessAttrs;
+      var errmsg = null;
+
       // Clearing previous errors first.
       this.errorModel.clear();
       // Validation for member name
       if ( _.isUndefined(this.get('member_name')) ||
         _.isNull(this.get('member_name')) ||
-        String(this.get('member_name')).replace(/^\s+|\s+$/g, '') == '') {
-          errmsg = gettext('Please specify the value for member name.');
-          this.errorModel.set('member_name', errmsg)
-          return errmsg;
+          String(this.get('member_name')).replace(/^\s+|\s+$/g, '') == '') {
+        errmsg = gettext('Please specify the value for member name.');
+        this.errorModel.set('member_name', errmsg);
+        return errmsg;
       }
       else if ( _.isUndefined(this.get('type')) ||
         _.isNull(this.get('type')) ||
-        String(this.get('type')).replace(/^\s+|\s+$/g, '') == '') {
-          errmsg = gettext('Please specify the type.');
-          this.errorModel.set('type', errmsg)
-          return errmsg;
+          String(this.get('type')).replace(/^\s+|\s+$/g, '') == '') {
+        errmsg = gettext('Please specify the type.');
+        this.errorModel.set('type', errmsg);
+        return errmsg;
       }
       // Validation for Length/precision field (see comments above if confused about the naming!)
       else if (this.get('is_tlength')
@@ -207,9 +206,9 @@ define('pgadmin.node.type', [
           errmsg = gettext('Length/precision should not be less than %(value)s', {value: this.get('min_val')});
         if (this.get('tlength') > this.get('max_val') )
           errmsg = gettext('Length/precision should not be greater than %(value)s', {value: this.get('max_val')});
-        // If we have any error set then throw it to user
+          // If we have any error set then throw it to user
         if(errmsg) {
-          this.errorModel.set('tlength', errmsg)
+          this.errorModel.set('tlength', errmsg);
           return errmsg;
         }
       }
@@ -220,14 +219,14 @@ define('pgadmin.node.type', [
           errmsg = gettext('Scale should not be less than %(value)s', {value: this.get('min_val')});
         if (this.get('precision') > this.get('max_val'))
           errmsg = gettext('Scale should not be greater than %(value)s', {value: this.get('max_val')});
-        // If we have any error set then throw it to user
+          // If we have any error set then throw it to user
         if(errmsg) {
-          this.errorModel.set('precision', errmsg)
+          this.errorModel.set('precision', errmsg);
           return errmsg;
         }
       }
       return null;
-    }
+    },
   });
 
   var EnumModel = Backform.EnumModel = pgBrowser.Node.Model.extend({
@@ -238,11 +237,11 @@ define('pgadmin.node.type', [
       id: 'label', label: gettext('Label'),type: 'text', disabled: false,
       cellHeaderClasses: 'width_percent_99', editable: function(m) {
         return _.isUndefined(m.get('label'));
-      }
+      },
     }],
     validate: function() {
       return null;
-    }
+    },
   });
 
   if (!pgBrowser.Nodes['type']) {
@@ -259,7 +258,7 @@ define('pgadmin.node.type', [
       Init: function() {
         /* Avoid multiple registration of menus */
         if (this.initialized)
-            return;
+          return;
 
         this.initialized = true;
 
@@ -268,20 +267,20 @@ define('pgadmin.node.type', [
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Type...'),
           icon: 'wcTabIcon icon-type', data: {action: 'create', check: true},
-          enable: 'canCreate'
+          enable: 'canCreate',
         },{
           name: 'create_type', node: 'type', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Type...'),
           icon: 'wcTabIcon icon-type', data: {action: 'create', check: true},
-          enable: 'canCreate'
+          enable: 'canCreate',
         },{
           name: 'create_type', node: 'schema', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Type...'),
           icon: 'wcTabIcon icon-type', data: {action: 'create', check: false},
-          enable: 'canCreate'
-        }
+          enable: 'canCreate',
+        },
         ]);
 
       },
@@ -293,17 +292,17 @@ define('pgadmin.node.type', [
           name: undefined,
           oid: undefined,
           is_sys_type: false,
-          typtype: undefined
-       },
+          typtype: undefined,
+        },
 
         // Default values!
         initialize: function(attrs, args) {
           if (_.size(attrs) === 0) {
             var userInfo = pgBrowser.serverInfo[args.node_info.server._id].user,
-                schemaInfo = args.node_info.schema;
+              schemaInfo = args.node_info.schema;
 
             this.set({
-              'typeowner': userInfo.name, 'schema': schemaInfo._label
+              'typeowner': userInfo.name, 'schema': schemaInfo._label,
             }, {silent: true});
           }
           pgBrowser.Node.Model.prototype.initialize.apply(this, arguments);
@@ -312,15 +311,15 @@ define('pgadmin.node.type', [
         schema: [{
           id: 'name', label: gettext('Name'), cell: 'string',
           type: 'text', mode: ['properties', 'create', 'edit'],
-          disabled: 'schemaCheck'
+          disabled: 'schemaCheck',
         },{
           id: 'oid', label: gettext('OID'), cell: 'string',
-          type: 'text' , mode: ['properties'], disabled: true
+          type: 'text' , mode: ['properties'], disabled: true,
         },{
           id: 'typeowner', label: gettext('Owner'), cell: 'string',
           control: 'node-list-by-name',
           type: 'text', mode: ['properties', 'create', 'edit'], node: 'role',
-          disabled: 'inSchema', select2: {allowClear: false}
+          disabled: 'inSchema', select2: {allowClear: false},
         },{
           id: 'schema', label: gettext('Schema'), cell: 'string',
           type: 'text', mode: ['create', 'edit'], node: 'schema',
@@ -332,22 +331,21 @@ define('pgadmin.node.type', [
             }
             return true;
           }, cache_node: 'database', cache_level: 'database',
-          control: 'node-list-by-name', select2: {allowClear: false}
+          control: 'node-list-by-name', select2: {allowClear: false},
         },{
           id: 'typtype', label: gettext('Type'),
           mode: ['create','edit'], disabled: 'inSchemaWithModelCheck',
           group: gettext('Definition'),
-          select2: { width: "50%", allowClear: false },
-          options: function(obj) {
-              return [
-                {label: "Composite", value: "c"},
-                {label: "Enumeration", value: "e"},
-                {label: "External", value: "b"},
-                {label: "Range", value: "r"},
-                {label: "Shell", value: "p"}
-              ]
-           },
-          disabled: 'inSchemaWithModelCheck',
+          select2: { width: '50%', allowClear: false },
+          options: function() {
+            return [
+              {label: 'Composite', value: 'c'},
+              {label: 'Enumeration', value: 'e'},
+              {label: 'External', value: 'b'},
+              {label: 'Range', value: 'r'},
+              {label: 'Shell', value: 'p'},
+            ];
+          },
           // If create mode then by default open composite type
           control: Backform.Select2Control.extend({
             render: function(){
@@ -357,8 +355,8 @@ define('pgadmin.node.type', [
                 this.model.set({'typtype': 'c'});
               }
               return this;
-            }
-          })
+            },
+          }),
         },{
           id: 'composite', label: gettext('Composite Type'),
           model: CompositeModel, editable: true, type: 'collection',
@@ -367,25 +365,25 @@ define('pgadmin.node.type', [
           canAdd: true, canEdit: false, canDelete: true, disabled: 'inSchema',
           deps: ['typtype'],
           visible: function(m) {
-           return m.get('typtype') === 'c';
-          }
+            return m.get('typtype') === 'c';
+          },
         },{
           id: 'enum', label: gettext('Enumeration Type'),
           model: EnumModel, editable: true, type: 'collection',
           group: gettext('Definition'), mode: ['edit', 'create'],
           canAdd: true, canEdit: false, canDelete: function(m) {
-              // We will disable it if it's in 'edit' mode
-              if (m.isNew()) {
-                  return true;
-              } else {
-                  return false;
+            // We will disable it if it's in 'edit' mode
+            if (m.isNew()) {
+              return true;
+            } else {
+              return false;
             }
           },
           disabled: 'inSchema', deps: ['typtype'],
           control: 'unique-col-collection', uniqueCol : ['label'],
           visible: function(m) {
-           return m.get('typtype') === 'e';
-          }
+            return m.get('typtype') === 'e';
+          },
         },{
           // We will disable range type control in edit mode
           type: 'nested', control: 'plain-fieldset', group: gettext('Definition'),
@@ -396,150 +394,150 @@ define('pgadmin.node.type', [
           schema:[{
             id: 'typname', label: gettext('Subtype'), cell: 'string',
             control: 'node-ajax-options',
-            select2: { allowClear: true, placeholder: "", width: "100%" },
+            select2: { allowClear: true, placeholder: '', width: '100%' },
             url: 'get_stypes', type: 'text', mode: ['properties', 'create', 'edit'],
             group: gettext('Range Type'), disabled: 'inSchemaWithModelCheck',
             transform: function(d, self){
               self.model.subtypes =  d;
               return d;
-            }
+            },
           },{
-              id: 'opcname', label: gettext('Subtype operator class'), cell: 'string',
-              mode: ['properties', 'create', 'edit'], group: gettext('Range Type'),
-              disabled: 'inSchemaWithModelCheck', deps: ['typname'],
-              control: 'select', options: function() {
-                var l_typname = this.model.get('typname'),
-                  self = this,
-                  result = [];
-                if(!_.isUndefined(l_typname) && l_typname != '')
-                {
-                  var node = this.field.get('schema_node'),
+            id: 'opcname', label: gettext('Subtype operator class'), cell: 'string',
+            mode: ['properties', 'create', 'edit'], group: gettext('Range Type'),
+            disabled: 'inSchemaWithModelCheck', deps: ['typname'],
+            control: 'select', options: function() {
+              var l_typname = this.model.get('typname'),
+                self = this,
+                result = [];
+              if(!_.isUndefined(l_typname) && l_typname != '')
+              {
+                var node = this.field.get('schema_node'),
                   _url = node.generate_url.apply(
                     node, [
-                            null, 'get_subopclass', this.field.get('node_data'), false,
-                            this.field.get('node_info')
+                      null, 'get_subopclass', this.field.get('node_data'), false,
+                      this.field.get('node_info'),
                     ]);
-                  $.ajax({
-                    async: false,
-                    url: _url,
-                    cache: false,
-                    data: {'typname' : l_typname},
-                    success: function(res) {
-                      result = res.data;
-                    },
-                    error: function() {
-                      self.model.trigger('pgadmin:view:fetch:error', self.model, self.field);
-                    }
-                    });
-                  //
-                }
-                return result;
+                $.ajax({
+                  async: false,
+                  url: _url,
+                  cache: false,
+                  data: {'typname' : l_typname},
+                  success: function(res) {
+                    result = res.data;
+                  },
+                  error: function() {
+                    self.model.trigger('pgadmin:view:fetch:error', self.model, self.field);
+                  },
+                });
+                //
+              }
+              return result;
+            },
+          },{
+            id: 'collname', label: gettext('Collation'), cell: 'string',
+            type: 'text', mode: ['properties', 'create', 'edit'],
+            group: gettext('Range Type'),
+            deps: ['typname'], control: 'node-ajax-options', url: 'get_collations',
+            select2: { allowClear: true, placeholder: '', width: '100%' },
+            disabled: function(m) {
+              if(this.node_info &&  'catalog' in this.node_info)
+              {
+                return true;
               }
-            },{
-              id: 'collname', label: gettext('Collation'), cell: 'string',
-              type: 'text', mode: ['properties', 'create', 'edit'],
-              group: gettext('Range Type'),
-              deps: ['typname'], control: 'node-ajax-options', url: 'get_collations',
-              select2: { allowClear: true, placeholder: "", width: "100%" },
-              disabled: function(m) {
-                if(this.node_info &&  'catalog' in this.node_info)
-                {
-                  return true;
-                }
 
-                // Disbale in edit mode
-                if (!m.isNew()) {
-                  return true;
-                }
+              // Disbale in edit mode
+              if (!m.isNew()) {
+                return true;
+              }
 
-                // To check if collation is allowed?
-                var of_subtype = m.get('typname'),
-                  is_collate = undefined;
-                if(!_.isUndefined(of_subtype)) {
-                  // iterating over all the types
-                  _.each(m.subtypes, function(s) {
-                    // if subtype from selected from combobox matches
-                    if ( of_subtype === s.label ) {
-                        // if collation is allowed for selected subtype
-                        // then enable it else disable it
-                        is_collate = s.is_collate;
-                    }
-                  });
-                }
-                // If is_collate is true then do not disable
-                return is_collate ? false : true;
+              // To check if collation is allowed?
+              var of_subtype = m.get('typname'),
+                is_collate = undefined;
+              if(!_.isUndefined(of_subtype)) {
+                // iterating over all the types
+                _.each(m.subtypes, function(s) {
+                  // if subtype from selected from combobox matches
+                  if ( of_subtype === s.label ) {
+                    // if collation is allowed for selected subtype
+                    // then enable it else disable it
+                    is_collate = s.is_collate;
+                  }
+                });
               }
-            },{
-              id: 'rngcanonical', label: gettext('Canonical function'), cell: 'string',
-              type: 'text', mode: ['properties', 'create', 'edit'],
-              group: gettext('Range Type'),
-              disabled: 'inSchemaWithModelCheck', deps: ['name', 'typname'],
-              control: 'select', options: function() {
-                var name = this.model.get('name'),
-                 self = this,
-                 result = [];
-
-                if(!_.isUndefined(name) && name != '')
-                {
-                  var node = this.field.get('schema_node'),
+              // If is_collate is true then do not disable
+              return is_collate ? false : true;
+            },
+          },{
+            id: 'rngcanonical', label: gettext('Canonical function'), cell: 'string',
+            type: 'text', mode: ['properties', 'create', 'edit'],
+            group: gettext('Range Type'),
+            disabled: 'inSchemaWithModelCheck', deps: ['name', 'typname'],
+            control: 'select', options: function() {
+              var name = this.model.get('name'),
+                self = this,
+                result = [];
+
+              if(!_.isUndefined(name) && name != '')
+              {
+                var node = this.field.get('schema_node'),
                   _url = node.generate_url.apply(
                     node, [
-                            null, 'get_canonical', this.field.get('node_data'), false,
-                            this.field.get('node_info')
+                      null, 'get_canonical', this.field.get('node_data'), false,
+                      this.field.get('node_info'),
                     ]);
-                  $.ajax({
-                    async: false,
-                    url: _url,
-                    cache: false,
-                    data: {"name" : name},
-                    success: function(res) {
-                      result = res.data;
-                    },
-                    error: function() {
-                      self.model.trigger('pgadmin:view:fetch:error',
+                $.ajax({
+                  async: false,
+                  url: _url,
+                  cache: false,
+                  data: {'name' : name},
+                  success: function(res) {
+                    result = res.data;
+                  },
+                  error: function() {
+                    self.model.trigger('pgadmin:view:fetch:error',
                       self.model, self.field);
-                    }
-                    });
-                }
+                  },
+                });
+              }
               return result;
-            }
-            },{
-              id: 'rngsubdiff', label: gettext('Subtype diff function'), cell: 'string',
-              type: 'text', mode: ['properties', 'create', 'edit'],
-              group: gettext('Range Type'),
-              disabled: 'inSchemaWithModelCheck', deps: ['opcname'],
-              control: 'select', options: function() {
-                var l_typname = this.model.get('typname'),
-                  l_opcname = this.model.get('opcname'),
-                  self = this,
-                  result = [];
-
-                if(!_.isUndefined(l_typname) && l_typname != '' &&
+            },
+          },{
+            id: 'rngsubdiff', label: gettext('Subtype diff function'), cell: 'string',
+            type: 'text', mode: ['properties', 'create', 'edit'],
+            group: gettext('Range Type'),
+            disabled: 'inSchemaWithModelCheck', deps: ['opcname'],
+            control: 'select', options: function() {
+              var l_typname = this.model.get('typname'),
+                l_opcname = this.model.get('opcname'),
+                self = this,
+                result = [];
+
+              if(!_.isUndefined(l_typname) && l_typname != '' &&
                 !_.isUndefined(l_opcname) && l_opcname != '') {
-                  var node = this.field.get('schema_node'),
+                var node = this.field.get('schema_node'),
                   _url = node.generate_url.apply(
-                    node, [
-                            null, 'get_stypediff',
-                            this.field.get('node_data'), false,
-                            this.field.get('node_info')
-                    ]);
-                  $.ajax({
-                    async: false,
-                    url: _url,
-                    cache: false,
-                    data: {'typname' : l_typname, 'opcname': l_opcname},
-                    success: function(res) {
-                      result = res.data;
-                    },
-                    error: function() {
-                      self.model.trigger('pgadmin:view:fetch:error',
-                      self.model, self.field);
-                    }
-                    });
-                }
+                      node, [
+                        null, 'get_stypediff',
+                        this.field.get('node_data'), false,
+                        this.field.get('node_info'),
+                      ]);
+                $.ajax({
+                  async: false,
+                  url: _url,
+                  cache: false,
+                  data: {'typname' : l_typname, 'opcname': l_opcname},
+                  success: function(res) {
+                    result = res.data;
+                  },
+                  error: function() {
+                    self.model.trigger('pgadmin:view:fetch:error',
+                        self.model, self.field);
+                  },
+                });
+              }
               return result;
-            }
-          }]
+            },
+          }],
         },{
           type: 'nested', control: 'tab', group: gettext('Definition'),
           label: gettext('External Type'), deps: ['typtype'],
@@ -554,7 +552,7 @@ define('pgadmin.node.type', [
             disabled: 'inSchemaWithModelCheck',
             control: 'node-ajax-options', url: 'get_external_functions',
             transform: 'external_func_combo',
-            select2: { allowClear: true, placeholder: "", width: "100%" }
+            select2: { allowClear: true, placeholder: '', width: '100%' },
           },{
             id: 'typoutput', label: gettext('Output function'),
             cell: 'string',
@@ -563,7 +561,7 @@ define('pgadmin.node.type', [
             disabled: 'inSchemaWithModelCheck'
             ,control: 'node-ajax-options', url: 'get_external_functions',
             transform: 'external_func_combo',
-            select2: { allowClear: true, placeholder: "", width: "100%" }
+            select2: { allowClear: true, placeholder: '', width: '100%' },
           },{
             id: 'typreceive', label: gettext('Receive function'),
             cell: 'string', type: 'text', group: gettext('Optional-1'),
